%* sasdrugdev_deleteuser                                                                         *;
%*                                                                                               *;
%* Deletes a user account from the system.                                                       *;
%*                                                                                               *;
%* Users that have logged in are not eligible for deletion and can only be deactivated.          *;
%*                                                                                               *;
%* Syntax:                                                                                       *;
%* %SASDRUGDEV_DELETEUSER(SDD_USERID=sdd-userid);                                                *;
%*                                                                                               *;
%* @macvar _sddRC_  the return code.                                                             *;
%* @macvar _sddMsg_ the return message.                                                          *;
%*                                                                                               *;
%* @param sdd_userid - required - the user ID of the account being deleted.                      *;
%*                                                                                               *;
%* @macrotype SDD                                                                                *;
%* @since 1.3                                                                                    *;
%* @exposure external                                                                            *;
%* @deprecated Replaced by lsaf_deleteuser, effective with SAS LSAF Macro 1.5                    *;
%*                                                                                               *;
%* @history 2013-10-30 initial coding                                                            *;
%* @history 2016-08-30 rebrand for LSAF                                                          *;
%*                                                                                               *;

%macro sasdrugdev_deleteuser(
  sdd_userid=
  ) /des='Delete a user account from the system.';

  %****************************************;
  %* Initialize macro variables           *;
  %****************************************;
  %global _sddMsg_
          _sddRC_
  ;

  %let _sddRC_=%str(-999);
  %let _sddMsg_=%str(The SAS Macro did not execute properly.  Unknown err%str(or).);

  %****************************************;
  %* Call LSAF macro.                     *;
  %****************************************;
  %lsaf_deleteuser(lsaf_userid=&sdd_userid);

  %***************************************;
  %* Call LSAF transition code           *;
  %***************************************;
  %let _sddMacro_=&SYSMACRONAME;
  %lsaf_transition(
    sdd_macro_name=%lowcase(&_sddMacro_),
    sdd_answer_var=,
    lsaf_answer_val=
  );

%mend sasdrugdev_deleteuser;
