%* sasdrugdev_removeuserprivilege                                                                *;
%*                                                                                               *;
%* Remove a global privilege from a user in the system.                                          *;
%*                                                                                               *;
%* Syntax:                                                                                       *;
%* %SASDRUGDEV_REMOVEUSERPRIVILEGE(SDD_USERID=sdd-userid, SDD_PRIVILEGE=sdd-privilege);          *;
%*                                                                                               *;
%* @macvar _sddRC_  the return code.                                                             *;
%* @macvar _sddMsg_ the return message.                                                          *;
%*                                                                                               *;
%* @param sdd_userid - required - the user to remove the global privilege from.                  *;
%* @param sdd_privilege - required - the identifier of the global privilege to remove.           *;
%*                                                                                               *;
%* @macrotype SDD                                                                                *;
%* @since 1.3                                                                                    *;
%* @exposure external                                                                            *;
%* @deprecated Replaced by lsaf_removeuserprivilege, effective with SAS LSAF Macro 1.5           *;
%*                                                                                               *;
%* @history 2013-11-01 initial coding                                                            *;
%* @history 2018-08-31 rebrand for LSAF                                                          *;
%*                                                                                               *;

%macro sasdrugdev_removeuserprivilege(
  sdd_userid=,
  sdd_privilege=
  ) /des='Remove a global privilege from a user.';

  %****************************************;
  %* Initialize macro variables           *;
  %****************************************;
  %global _sddMsg_
          _sddRC_
  ;

  %let _sddRC_=%str(-999);
  %let _sddMsg_=%str(The SAS Macro did not execute properly.  Unknown err%str(or).);

  %****************************************;
  %* Call LSAF macro.                     *;
  %****************************************;
  %lsaf_removeuserprivilege(
    lsaf_userid=&sdd_userid,
    lsaf_privilege=&sdd_privilege
  );

  %***************************************;
  %* Call LSAF transition code           *;
  %***************************************;
  %let _sddMacro_=&SYSMACRONAME;
  %lsaf_transition(
    sdd_macro_name=%lowcase(&_sddMacro_),
    sdd_answer_var=,
    lsaf_answer_val=
  );

%mend sasdrugdev_removeuserprivilege;
