%* sasdrugdev_renameproject                                                                      *;
%*                                                                                               *;
%* Renames a project.                                                                            *;
%*                                                                                               *;
%* Another project with the new name must not already exist in the organization.                 *;
%*                                                                                               *;
%* Syntax:                                                                                       *;
%* %SASDRUGDEV_RENAMEPROJECT(SDD_SOURCE=sdd-source-path, SDD_NEWNAME=sdd-new-name);              *;
%*                                                                                               *;
%* @macvar _sddRC_  the return code.                                                             *;
%* @macvar _sddMsg_ the return message.                                                          *;
%*                                                                                               *;
%* @param sdd_source   - required - the path, including the name, of the project to be renamed.  *;
%* @param sdd_newname  - required - the new name of the project.                                 *;
%*                                                                                               *;
%* @macrotype SDD                                                                                *;
%* @since 1.4                                                                                    *;
%* @exposure external                                                                            *;
%* @deprecated Replaced by lsaf_renameproject, effective with SAS LSAF Macro 1.5                 *;
%*                                                                                               *;
%* @history 2014-03-04  initial coding                                                           *;
%* @history 2016-08-31  rebrand for LSAF                                                         *;
%*                                                                                               *;

%macro sasdrugdev_renameproject(
  sdd_source=,
  sdd_newname=
  ) /des='Rename a project.';

  %****************************************;
  %* Initialize macro variables           *;
  %****************************************;
  %global _sddMsg_
          _sddRC_
  ;

  %let _sddRC_=%str(-999);
  %let _sddMsg_=%str(The SAS Macro did not execute properly.  Unknown err%str(or).);

  %****************************************;
  %* Call LSAF macro.                     *;
  %****************************************;
  %lsaf_renameproject(
    lsaf_source=&sdd_source,
    lsaf_newname=&sdd_newname
  );

  %***************************************;
  %* Call LSAF transition code           *;
  %***************************************;
  %let _sddMacro_=&SYSMACRONAME;
  %lsaf_transition(
    sdd_macro_name=%lowcase(&_sddMacro_),
    sdd_answer_var=,
    lsaf_answer_val=
  );

%mend sasdrugdev_renameproject;
