%* sasdrugdev_unlockuser                                                                         *;
%*                                                                                               *;
%* Unlocks a user account.                                                                       *;
%*                                                                                               *;
%* The person running the macro must have the user privilege to manage user accounts.            *;
%*                                                                                               *;
%* Syntax:                                                                                       *;
%* %SASDRUGDEV_UNLOCKUSER(SDD_USERID=sdd-userid);                                                *;
%*                                                                                               *;
%* @macvar _sddRC_  the return code.                                                             *;
%* @macvar _sddMsg_ the return message.                                                          *;
%*                                                                                               *;
%* @param sdd_userid - required - the user ID of the user account to unlock.                     *;
%*                                                                                               *;
%* @macrotype SDD                                                                                *;
%* @since 1.4                                                                                    *;
%* @exposure external                                                                            *;
%* @deprecated Replaced by lsaf_unlockuser, effective with SAS LSAF Macro 1.5                    *;
%*                                                                                               *;
%* @history 2014-03-19 initial coding                                                            *;
%* @history 2016-08-31 rebrand for LSAF                                                          *;
%*                                                                                               *;

%macro sasdrugdev_unlockuser(
  sdd_userid=
  ) /des='Unlocks a user account.';

  %****************************************;
  %* Initialize macro variables           *;
  %****************************************;
  %global _sddMsg_
          _sddRC_
  ;

  %let _sddRC_ =%str(-999);
  %let _sddMsg_=%str(The SAS Macro did not execute properly.  Unknown err%str(or).);

  %****************************************;
  %* Call LSAF macro.                     *;
  %****************************************;
  %lsaf_unlockuser(lsaf_userid=&sdd_userid);

  %***************************************;
  %* Call LSAF transition code           *;
  %***************************************;
  %let _sddMacro_=&SYSMACRONAME;
  %lsaf_transition(
    sdd_macro_name=%lowcase(&_sddMacro_),
    sdd_answer_var=,
    lsaf_answer_val=
  );

%mend sasdrugdev_unlockuser ;
