%* sasdrugdev_updateprojectlead                                                                  *;
%*                                                                                               *;
%* Updates the current lead of a project in the SAS Drug Development repository.                 *;
%*                                                                                               *;
%* Syntax for files:                                                                             *;
%* %SASDRUGDEV_UPDATEPROJECTLEAD(SDD_PATH=sdd-path, SDD_USERID=sdd-userid);                      *;
%*                                                                                               *;
%* @macvar _sddRC_  the return code.                                                             *;
%* @macvar _sddMsg_ the return message.                                                          *;
%*                                                                                               *;
%* @param sdd_path - required - the path of the project in the SAS Drug Development repository.  *;
%* @param sdd_userid - required - the user ID for the account that will be the new lead.         *;
%*                                                                                               *;
%* @macrotype SDD                                                                                *;
%* @since 1.4                                                                                    *;
%* @exposure external                                                                            *;
%* @deprecated Replaced by lsaf_updateprojectlead, effective with SAS LSAF Macro 1.5             *;
%*                                                                                               *;
%* @history 2014-05-01  initial coding.                                                          *;
%* @history 2016-08-31  rebrand for LSAF                                                         *;
%*                                                                                               *;

%macro sasdrugdev_updateprojectlead(
  sdd_path=,
  sdd_userid=
  ) /des='Change the lead of an project.';

  %****************************************;
  %* Initialize macro variables           *;
  %****************************************;
  %global _sddMsg_
          _sddRC_
  ;

  %let _sddRC_=%str(-999);
  %let _sddMsg_=%str(The SAS Macro did not execute properly.  Unknown err%str(or).);

  %****************************************;
  %* Call LSAF macro.                     *;
  %****************************************;
  %lsaf_updateprojectlead(
    lsaf_path=&sdd_path,
    lsaf_userid=&sdd_userid
  );

  %***************************************;
  %* Call LSAF transition code           *;
  %***************************************;
  %let _sddMacro_=&SYSMACRONAME;
  %lsaf_transition(
    sdd_macro_name=%lowcase(&_sddMacro_),
    sdd_answer_var=,
    lsaf_answer_val=
  );

%mend sasdrugdev_updateprojectlead;
